# Roadmap of CodingLand

- [ ] Finish LandEngine first (`pkg/land`)

# Roadmap of LandEngine

LandEngine is a simple game engine that written is golang, it based on SDL2 and cgo bindings.
It makes the way to use SDL2 way more simple and efficiency.

- [ ] Objects
  - [x] BaseObject
  - [x] PositionedObject
  - [x] DrawableObject
  - [x] InteractableObject
  - [x] CollidableObject
  - [ ] RigidBodyObject
- [ ] Widgets(UI)
  - [x] BaseWidget
  - [x] ButtonWidget
  - [ ] InputWidget
  - [ ] ListWidget
  - [ ] PanelWidget
  - [ ] Containers(VBox, HBox, sort of boxes)
  - [ ] Overlay of Widgets
  - [ ] Make all of them look GREAT
- [ ] Context
  - [ ] Creating context
  - [ ] Storing values in context
  - [ ] Passing content all the way down
- [ ] Multiplayer(Network)
  - [ ] To be determined...
- [ ] Platform
  - [x] Desktop
  - [ ] Android
  - [ ] iOS
  - [ ] Web

Other systems and features are to be determined. Based on the usage of CodingLand.